//+------------------------------------------------------------------+
//|                                                   EMA_Ribbon.mq4 |
//|                                               mladenfx@gmail.com |
//|                               modified by kris.pivo[at]gmail.com |
//+------------------------------------------------------------------+
#property indicator_chart_window
#property indicator_buffers 4
#property indicator_color1 C'0,70,0'   //DarkGreen
#property indicator_color2 C'70,0,0'   //DarkRed
#property indicator_color3 C'0,200,0'  //Lime
#property indicator_color4 C'0,200,0'  //Lime
#property indicator_width1 4
#property indicator_width2 4
#property indicator_width3 2
#property indicator_width4 2
//
extern int       MA1Period=55;
extern int       MA1Method=MODE_EMA;
extern int       MA1Price =PRICE_HIGH;
extern int       MA2Period=55;
extern int       MA2Method=MODE_EMA;
extern int       MA2Price =PRICE_LOW;
//
double buffer1[];
double buffer2[];
double buffer3[];
double buffer4[];
//
int init()
   {
   SetIndexBuffer(0,buffer3); SetIndexStyle(0,DRAW_HISTOGRAM);
   SetIndexBuffer(1,buffer4); SetIndexStyle(1,DRAW_HISTOGRAM);
   SetIndexBuffer(2,buffer1);
   SetIndexBuffer(3,buffer2);
   return(0);
   }
int deinit()
   {
   return(0);
   }
//
int start()
   {
   int counted_bars=IndicatorCounted();
   int limit,i;
   
   if(counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;
           limit=Bars-counted_bars;
   //
   for(i=limit; i>=0; i--)
   {
      buffer1[i] = iMA(NULL,0,MA1Period,0,MA1Method,MA1Price,i);
      buffer2[i] = iMA(NULL,0,MA2Period,0,MA2Method,MA2Price,i);
      buffer3[i] = buffer1[i];
      buffer4[i] = buffer2[i];
   }
   return(0);
}

